{% extends 'tests/base.html' %}
{% load static %}
{% load crispy_forms_tags %}

{% block title %} | {{ attempt.registration.session.test.name }} | {{ attempt.registration.session.name }} {% endblock %}

{% block content %}
    <a href="{% url 'test_sessions' test_id=attempt.registration.session.test.id %}" class="btn btn-link float-left text-dark">
        <i class="fa fa-arrow-left mr-2"></i>{{ attempt.registration.session.test.name }}
    </a>
    <div class="container">
        <h1 class="m-3 text-center">{{ attempt.registration.session.name }}</h1>
        <div class="m-3">
            <form method="POST">
                {% csrf_token %}
                {{ formset.management_form }}
                {% for form in formset %}
                    <div class="card my-5">
                        {{ form.id }}
                        <div class="card-header">
                            {{ form.selected_answer.errors }}
                            {{ form.selected_answer.label_tag }}
                        </div>
                        {% if form.instance.question.image %}
                            <img class="card-img-top" src="{{ form.instance.question.image.url }}" alt="Image for this question"/>
                        {% endif %}
                        <div class="list-group list-group-flush">
                            {% for widget in form.selected_answer %}
                                <label class="list-group-item" {% if widget.data.attrs.id %} for="{{ widget.data.attrs.id }}"{% endif %}>
                                    {# Copy-pasted out of django's templates #}
                                    <input
                                        type="{{ widget.data.type }}"
                                        name="{{ widget.data.name }}"
                                        {% if widget.data.value != None %} value="{{ widget.data.value|stringformat:'s' }}"{% endif %}
                                        {% for name, value in widget.data.attrs.items %}
                                            {% if value is not False %}
                                                {{ name }}{% if value is not True %}="{{ value|stringformat:'s' }}"
                                                {% endif %}
                                            {% endif %}
                                        {% endfor %}
                                    >

                                    {{ widget.data.label }}


                                    {% if widget.image %}
                                        <div>
                                        <img width="50%" src="{{ widget.image.url }}" alt="Image for this answer"/>
                                        </div>
                                    {% endif %}
                                </label>
                            {% endfor %}
                        </div>
                    </div>
                {% endfor %}
                <button href="#" class="btn btn-primary" role="button">Submit</button>
            </form>
        </div>
    </div>
{% endblock %}
